# subscriptionDelete

Delete a subscription (only in sandbox mode with no issued invoices)

**Scope required:** standard:write

```graphql
mutation subscriptionDelete ($id: ID!) {
  subscriptionDelete (id: $id) {
      errors
      subscription {
        accountId
        cancellationDate
        createdAt
        currencyId
        currentPeriod
        customFieldsData
        daysLeftInTrial
        endDate
        evergreen
        hasCustomFields
        id
        licenseKey
        name
        period
        priceAdjustmentAllowed
        priceAdjustmentLastDate
        priceAdjustmentPercentage
        priceListId
        provisioningRequired
        rampIntervalMonths
        renewalSummary
        renewalTermMonths
        startDate
        trialEndDate
        trialPeriod
        trialStartDate
        updatedAt
      }
  }
}
```

## Arguments

```json
{
  "id": "456123"
}
```

| Name | Type | Description |
| ---- | ---- | ----------- |
| id   | ID   |             |

## Response

| Name         | Type                                                           | Description |
| ------------ | -------------------------------------------------------------- | ----------- |
| errors       | List (String)                                                  |             |
| subscription | [Subscription](/developer/api-reference/types/subscription.md) |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/subscriptiondelete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
